Subject: Re: fixing ci failure of 'pu' with the es/bugreport topic

From: Danh Doan <[email-masked]>
Date: Thu, 16 Apr 2020 18:26:05 +0700

On 2020-04-15 20:45:05-0700, Elijah Newren <[email-masked]> wrote:
> Hi Emily,
> 
> On Wed, Apr 15, 2020 at 7:01 PM Emily Shaffer <[email-masked]> wrote:
> >
> > On Wed, Apr 15, 2020 at 6:28 PM Junio C Hamano <[email-masked]> wrote:
> > >
> > > Junio C Hamano <[email-masked]> writes:
> > >
> > > > Danh Doan <[email-masked]> writes:
> > > >
> > > >> Excerpt from build log:
> > > >>
> > > >>> fatal error C1083: Cannot open include file: 'config-list.h'
> > > >>
> > > >> It's from bugreport topic.
> > > >> I've seen this failure in the past (when testing with pu),
> > > >> then I saw it disappear.
> > > >>
> > > >> I thought it was fixed during my testing for v4.
> > > >
> > > > Is the issue something similar to 976aaedc (msvc: add a Makefile
> > > > target to pre-generate the Visual Studio solution, 2019-07-29)?
> > > >
> > > > If that is the case, perhaps something like this would help?  I'll
> > > > tentatively queue it on top of es/bugreport and merge the result to
> > > > 'pu' to see what happens.
> > >
> > > The build just passed: https://github.com/git/git/runs/590781044
> > >
> > > Emily, you may need to squash in something along the line of this
> > > change to the commit in your series that starts building and using
> > > the config-list.h file (was it the first one?).  I've queued mine
> > > as a follow-up "oops, it was wrong" patch, but that would not be
> > > kosher from bisectability's point of view.
> >
> > Hm, ok. I'll send a reroll squashing this in verbatim tomorrow unless
> > I hear otherwise from Dscho? Looks like it's indeed the first one
> > (dd763e).
> > I'm curious to know how I can check this build method for myself for next time.
> 
> Create a fork of github.com/git/git and open a pull request against
> it.  (I believe you could also fork github.com/gitgitgadget/git and do
> a pull request against it, but I switched over to /git/git a while
> ago.) Immediately upon opening the pull request, a bunch of linux,
> mac, windows, and freebsd builds will be triggered with various runs
> of the testsuite.  Has been very useful for catching issues for me
> before I sent them off to the list.

For the time being, open a Github PR will trigger Azure Pipelines to
check various things  with both Linux, macOS, and Windows.
This Azure thing doesn't have that vs-build target, yet.

We're moving to Github Actions. When that topic graduate to master,
we can simply branch out from master and push to our fork in GitHub,
it will run automatically. No need to create a PR on git.git anymore

To check that vs-build target for the time being by merging
dd/ci-swap-azure-pipelines-with-github-actions
and push to your GitHub fork.

-- 
Danh